org.h2.command.ddl

## Class AlterTableAlterColumn

- java.lang.Object
- - org.h2.command.Prepared
  - - org.h2.command.ddl.DefineCommand
    - - org.h2.command.ddl.SchemaCommand
      - - org.h2.command.ddl.AlterTableAlterColumn

    public class AlterTableAlterColumn
    extends SchemaCommand

This class represents the statements ALTER TABLE ADD, ALTER TABLE ADD IF NOT EXISTS, ALTER TABLE ALTER COLUMN, ALTER TABLE ALTER COLUMN RESTART, ALTER TABLE ALTER COLUMN SELECTIVITY, ALTER TABLE ALTER COLUMN SET DEFAULT, ALTER TABLE ALTER COLUMN SET NOT NULL, ALTER TABLE ALTER COLUMN SET NULL, ALTER TABLE ALTER COLUMN SET VISIBLE, ALTER TABLE ALTER COLUMN SET INVISIBLE, ALTER TABLE DROP COLUMN

### Field Summary

### Fields inherited from class org.h2.command.ddl.DefineCommand

`transactional`

### Fields inherited from class org.h2.command.Prepared

`create, parameters, prepareAlways, session, sqlStatement`

### Constructor Summary

Constructors
Constructor and Description
`AlterTableAlterColumn(Session session, Schema schema)`

### Method Summary

Methods
`int` `getType()` Get the command type as defined in CommandInterface
`void` `setAddAfter(java.lang.String after)`
`void` `setAddBefore(java.lang.String before)`
`void` `setColumnsToRemove(java.util.ArrayList<Column> columnsToRemove)`
`void` `setDefaultExpression(Expression defaultExpression)`
`void` `setIfNotExists(boolean ifNotExists)`
`void` `setIfTableExists(boolean b)`
`void` `setNewColumn(Column newColumn)`
`void` `setNewColumns(java.util.ArrayList<Column> columnsToAdd)`
`void` `setOldColumn(Column oldColumn)`
`void` `setSelectivity(Expression selectivity)`
`void` `setTableName(java.lang.String tableName)`
`void` `setType(int type)`
`void` `setVisible(boolean visible)`
`int` `update()` Execute the statement.

### Methods inherited from class org.h2.command.ddl.SchemaCommand

`getSchema`

### Methods inherited from class org.h2.command.ddl.DefineCommand

`isReadOnly, isTransactional, queryMeta, setTransactional`

### Methods inherited from class org.h2.command.Prepared

`checkCanceled, checkParameters, getCurrentObjectId, getCurrentRowNumber, getObjectId, getParameters, getPlanSQL, getSQL, getSQL, getSQL, isCacheable, isQuery, needRecompile, prepare, query, setCommand, setCurrentRowNumber, setObjectId, setParameterList, setPrepareAlways, setRow, setSession, setSQL, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AlterTableAlterColumn

    public AlterTableAlterColumn(Session session,
                         Schema schema)

### Method Detail

#### setIfTableExists

    public void setIfTableExists(boolean b)

#### setTableName

    public void setTableName(java.lang.String tableName)

#### setOldColumn

    public void setOldColumn(Column oldColumn)

#### setAddBefore

    public void setAddBefore(java.lang.String before)

#### setAddAfter

    public void setAddAfter(java.lang.String after)

#### update

    public int update()

Description copied from class: `Prepared`
Execute the statement.

Overrides:
  `update` in class `Prepared`
Returns:
  the update count

#### setType

    public void setType(int type)

#### setSelectivity

    public void setSelectivity(Expression selectivity)

#### setDefaultExpression

    public void setDefaultExpression(Expression defaultExpression)

#### setNewColumn

    public void setNewColumn(Column newColumn)

#### getType

    public int getType()

Description copied from class: `Prepared`
Get the command type as defined in CommandInterface

Specified by:
  `getType` in class `Prepared`
Returns:
  the statement type

#### setIfNotExists

    public void setIfNotExists(boolean ifNotExists)

#### setNewColumns

    public void setNewColumns(java.util.ArrayList<Column> columnsToAdd)

#### setColumnsToRemove

    public void setColumnsToRemove(java.util.ArrayList<Column> columnsToRemove)

#### setVisible

    public void setVisible(boolean visible)